Loading...
Searching...
No Matches
Dune::AutonomousValueType< T > Struct Template Reference
Common » Utilities » C++ utilities and backports

Type free of internal references that T can be converted to. More...

`#include <dune/common/typetraits.hh>`

Inheritance diagram for Dune::AutonomousValueType< T >:

## Public Types

using | type = T

## Detailed Description

template<class T>
struct Dune::AutonomousValueType< T >

Type free of internal references that T can be converted to.

This is the specialization point for AutonomousValue and autoCopy().

If you need to specialize for a proxy type or similar, just specialize for the plain type. There are already specializations for reference-qualified and cv-qualified types that will just forward to your specialization.

Note
  For all specializations, the member type type should be constructible from T.

## Member Typedef Documentation

## type

template<class T>

using Dune::AutonomousValueType< T >::type = T

The documentation for this struct was generated from the following file:

- typetraits.hh